Name:           drabt
Version:        004
Release:        2%{?dist}
Summary:        Proof checker for the DRAT proof format

License:        MIT
URL:            http://fmv.jku.at/drabt/
Source0:        http://fmv.jku.at/drabt/drabt-004.tar.bz2

BuildRequires:  gcc

%description
DRABT is a proof checker for the DRAT proof format.  Proofs compressed
with gzip, bzip2, xz, zip, and 7zip are supported, but the corresponding
decompression binary must be installed (i.e., gunzip, bunzip2, unxz,
unzip, or 7z).

%prep
%autosetup

%build
# The configure script is NOT generated by autoconf.  Do NOT use the
# %%configure script here.
./configure.sh

# Use Fedora build flags
sed -i "s|-Wall -O3|%{optflags} $RPM_LD_FLAGS|" config.h makefile

# Build the binary
%make_build

%install
# The makefile has no install target.  Install by hand.
mkdir -p %{buildroot}%{_bindir}
cp -p %{name} %{buildroot}%{_bindir}

%check
pushd tests
./run-all-tests.sh
popd

%files
%license LICENSE
%doc NEWS README USAGE
%{_bindir}/%{name}

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul  6 2018 Jerry James <loganjerry@gmail.com> - 004-1
- Initial RPM
